Get all ZFS Datasets with Pagination
GET
/zfs/datasets/paginated
const url = 'https://sylve.lan:8181/api/zfs/datasets/paginated?datasetType=ALL&page=1&size=25&sort%5B0%5D%5Bfield%5D=name&sort%5B0%5D%5Bdir%5D=asc';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://sylve.lan:8181/api/zfs/datasets/paginated?datasetType=ALL&page=1&size=25&sort%5B0%5D%5Bfield%5D=name&sort%5B0%5D%5Bdir%5D=asc' \ --header 'Authorization: <Authorization>'Get all ZFS Datasets with Pagination
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”datasetType
required
string
Dataset type
page
integer
Page number
size
integer
Page size
search
string
Search dataset names
nameFilter
string
Comma-separated dataset name substrings to exclude
sort[0][field]
string
Sort field
sort[0][dir]
string
Sort direction
Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
object
data
Array<object>
object
available
integer
compressratio
number
createtxg
string
guid
string
mountpoint
string
name
string
pool
string
properties
object
key
additional properties
object
source
object
data
string
type
string
value
string
referenced
integer
type
string
used
integer
last_page
integer
error
string
message
string
status
string
Example
{ "data": { "data": [ { "type": "ALL" } ] }}Bad Request
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Internal Server Error
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}